package com.community.huiju.feign.impl;


import com.community.commom.mode.ResponseBean;
import com.community.huiju.feign.IHKServer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.multipart.MultipartFile;

@Slf4j
public class HKServerFallbackImpl implements IHKServer {

    @Override
    public ResponseBean pushPerson(String jsonString) {
        return back();
    }

    @Override
    public ResponseBean updatePerson(String jsonString) {
        return back();
    }

    @Override
    public ResponseBean addFace(MultipartFile faceImg, String jsonString) {
        return back();
    }

    @Override
    public ResponseBean updateFace(MultipartFile faceImg, String jsonString) {
        return back();
    }

    private ResponseBean back() {
        log.error("hardware-server 远端服务请求失败！");
        ResponseBean responseBean = new ResponseBean();
        responseBean.addError("hardware-server 远端服务请求失败！");
        return responseBean;
    }
}
